package com.usky.meeting.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.meeting.domain.MeetingDevice;
import com.usky.common.mybatis.core.CrudService;
import com.usky.meeting.service.vo.MeetingDeviceRequestVO;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备表 服务类
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
public interface MeetingDeviceService extends CrudService<MeetingDevice> {

    CommonPage<MeetingDevice> meetingDeviceList(MeetingDeviceRequestVO requestVO);

    void add(MeetingDevice meetingDevice);

    void edit(MeetingDevice meetingDevice);

    void remove(Long deviceId);

}
